Houdini Engine for Unreal - Version 2

   38591   131   44
User Avatar
Member
602 posts
Joined: May 2007
Offline
decksounds
I second the question eramos10 asks, is there a way to use this in 4.26 or do we have to wait for the final release?

I asked the same thing from support and received the following:

As usual, the 4.26 version of the plugins (both v2 and v1) will be available a few days after the release.

Currently, source code for the master branch of Unreal (4.27) is available on the v2 git repo.
It might work with 4.26, though I can't guarantee that since master is a little more recent than 4.26 prev7.
User Avatar
Member
2 posts
Joined: Jan. 2018
Offline
I am having trouble with my asset working correctly in Houdini, but not cooking correctly in Unreal with the V2 plugin. My level artist is also experiencing this, and it is quite frustrating. Attached the HDALC files (uses curve inputs in Unreal) and some screenshots. We are using Unreal 4.25. Sometimes the road gets messed up, sometimes the buildings, but in both cases, I cant reproduce it in Houdini proper! Hard to debug when the outputs are so different between HE and Houdini. Anyone have any thoughts/ideas?
Image Not Found

Image Not Found

Image Not Found

Attachments:
bourbonstreet.hdalc (120.6 KB)

User Avatar
Member
5 posts
Joined: Oct. 2020
Offline
I'm checking back into this thread to say that I attempted to build the plugin with the release branch today because of the 4.26 launch (finally, woooo!). I was able to get everything up and running through Visual Studio but still can't seem to get a version of the plugin working with the official release of 4.26 from the launcher. I tried packaging the plugin from my built-from-source engine version and then copy and pasting the folder into the Runtime engine folder. This…didn't work .

Anybody else have any luck?
User Avatar
Member
11 posts
Joined: May 2013
Offline
Will V2 get access to fproperty attributes on unreal instances, so we can set different material instance settings per instance without having to instantiate entirely different meshes? at least If I understand it correctly the newest version of unreal allows for this.
User Avatar
Member
5 posts
Joined: Oct. 2020
Offline
Finally success getting this into the launcher version of 4.26 after compiling the 18.0.532 source. The fabulous folks at SideFX Support clued me onto what I was missing. After compiling the plugin with Visual Studio and copying it to the Runtime Plugins folder of my launcher engine I needed to do this step:

The default build of unreal uses a specific build ID, but when building from source, that build id is a custom GUID (even if the sources are the default release).

So, despite the fact that you used the release 4.26 source code, your plugin binaries are using a custom GUID, that does not match the vanilla 4.26 ID, which causes the error.

This can be easily resolved by editing one file:
in your compiled binaries folder, there will be a “UE4Editor.modules” file, edit it

you'll have a line in it, that should be something like

“BuildId”: “ac9dadea-2489-4674-bb6c-fedfd793b499”,

that's your custom GUID, you actually want to change that to use the 4.26 release build ID.

“BuildId”: “14830424”,

Save the file, and you should be able to use the plugins binaries with the “vanilla” 4.26. (no need to recompile).

Maybe this is a rookie mistake, but it had me pulling my hair out! Anyway big thanks to the support team.
User Avatar
Member
3 posts
Joined: Dec. 2020
Offline
It seems that the 'Geometry Scaling and Import' settings from the documentation are missing from V2 (not sure about V1) - This means I cant undo the axis conversion from Y to Z when using Z as up axis in Houdini - am I missing something obvious or is this actually an issue? Thanks!

https://www.sidefx.com/docs/unreal/_settings.html#SettingImport [www.sidefx.com]
Edited by GreyDesigns - Dec. 12, 2020 11:08:39
User Avatar
Member
6 posts
Joined: Sept. 2020
Offline
I have installed the unreal engine 4.26, and houdinifx 18.5.408. but I dont know how to enable houdini plugin for unreal engine, I have followed the instruction but not working.

Attachments:
Screenshot_2.jpg (89.8 KB)

User Avatar
Member
602 posts
Joined: May 2007
Offline
YahyaNawir
I have installed the unreal engine 4.26, and houdinifx 18.5.408. but I dont know how to enable houdini plugin for unreal engine, I have followed the instruction but not working.

There seems to be an initial version at https://github.com/sideeffects/HoudiniEngineForUnreal-v2/tree/Houdini18.5-4.26 [github.com]
Edited by eetu - Dec. 13, 2020 09:07:38
User Avatar
Member
6 posts
Joined: Sept. 2020
Offline
eetu
YahyaNawir
I have installed the unreal engine 4.26, and houdinifx 18.5.408. but I dont know how to enable houdini plugin for unreal engine, I have followed the instruction but not working.

There seems to be an initial version at https://github.com/sideeffects/HoudiniEngineForUnreal-v2/tree/Houdini18.5-4.26 [github.com]


I followed "Installing the plugin" section, and got this info

Attachments:
Screenshot_3.jpg (131.9 KB)
Screenshot_4.jpg (104.9 KB)

User Avatar
Member
6 posts
Joined: Sept. 2020
Offline
YahyaNawir
eetu
YahyaNawir
I have installed the unreal engine 4.26, and houdinifx 18.5.408. but I dont know how to enable houdini plugin for unreal engine, I have followed the instruction but not working.

There seems to be an initial version at https://github.com/sideeffects/HoudiniEngineForUnreal-v2/tree/Houdini18.5-4.26 [github.com]


I followed "Installing the plugin" section, and got this info

I just now installed the daily build 18.5.425 and it is working with unreal 4.26
User Avatar
Member
3 posts
Joined: Oct. 2015
Offline
are there plans to add support for the new 4.26 water system? I'm currently buildng my own geometry in houdini but it would be nice to be able to output the curve that generates the rivers/lakes in unreal.
User Avatar
Member
17 posts
Joined: Nov. 2019
Offline
Hi guys, im having the same issue.
Trying to install 4.26 houdini engine for UE4 from github (houdini18.5-4.26 binary build) following these instructions from the github installation:

Installing the plugin
Download the pre-built binaries of the plugin in the "Releases" section of this repository.

Extract the "HoudiniEngine" folder in the release to the "Plugins/Runtime" folder of Unreal. You can install the plugin either directly in the engine folder (in "Engine/Plugins/Runtime/HoudiniEngine") or in your project folder (in "Plugins/Runtime/HoudiniEngine").

Start Unreal Engine, open the Plug-ins menu and make sure to enable the HoudiniEngine v2 plug-in (in the Rendering section). Restart UE4 if you had to enable it.


.....and gettting the following error when launching UE 4.26:



Any ideas?

Attachments:
Screenshot 2020-12-17 130114.jpg (17.0 KB)

User Avatar
Staff
471 posts
Joined: Sept. 2016
Offline
You're getting this error likely because the binaries you're using were not built for UE4.26, or because you just have the source code.
As Beta2 was released before UE4.26, the binaries currently available on the git repo's release page are only for 4.24 / 4.25.

You can download the source code for the 4.26 plugin, but that would require you to build the plugin from source, or you'd get this "missing module" error.

What I'd recommend, is that you get the latest daily H18.5 build.
You'll find the 4.26-v2 plugin under the engine subfolder of your Houdini install directory.

Copy the HoudiniEngine folder to UE4.26's Engine/Plugin/Runtime folder, and you should be good.
User Avatar
Member
17 posts
Joined: Nov. 2019
Offline
Thanks for the reply dpernit, but the latest production build of houdini (18.5.408) only has 4.25-v2 unreal engine plugin.
Is this the right version that I need to cop and paste across?
User Avatar
Staff
471 posts
Joined: Sept. 2016
Offline
The latest daily build, not production build

The prod build didn't have the 4.26 plugin.
User Avatar
Member
17 posts
Joined: Nov. 2019
Offline
Legend sir....it works.....now I just need to test my HDA's
Many Thanks
User Avatar
Member
2 posts
Joined: Dec. 2020
Offline
Are you developing your Houdini Plugin to work with v4.26?
Operation Manager, Producer & Co-Founder of Epoch Games
The Lays of Althas: Sundered Order
IndieDb Page: https://www.indiedb.com/games/the-lays-of-althas-sundered-order [www.indiedb.com]
Website: https://www.epochgames.co.uk [www.epochgames.co.uk]
User Avatar
Member
3 posts
Joined: Sept. 2015
Offline
Hi,
unfortunately I can't find the daily build 18.5.425 in my betas list at Steam. The latest one I can install is 18.5.408 Python 3. Is it available for Steam and I am just doing something wrong or do I need to wait for the update please? Thank you.
User Avatar
Staff
471 posts
Joined: Sept. 2016
Offline
Hi,

@JanKrocak: You should be able to see the daily_185/daily_185_py3 branches on steam, they should be on the latest daily (18.5.446 currently)

@Epoch: Yes, we do have a 4.26 version on the plugin, it is currently available in the daily builds as UE4.26 released after our last production build.
User Avatar
Member
3 posts
Joined: Sept. 2015
Offline
Thank you! Yes I found it in the end and works great.
  • Quick Links